Skip to content

IMDb'你知道吗' 洞察 API (V1)

GET
/api/imdb/title-did-you-know-query/v1
接口健康状态
健康 可用 少量可用 基本不可用 暂无数据
正在加载健康状态…

获取IMDb标题'你知道吗'洞察数据,包括琐事信息,用于编辑研究和标题洞察丰富。

请求参数

参数名位置类型必填默认值说明
tokenquerystring-用户的鉴权令牌。
idquerystring-该标题的唯一IMDb ID(例如:tt12037194)。
languageCountryquerystringen_US语言与国家/地区偏好。

可用值:
- en_US: 英语(美国)
- fr_CA: 法语(加拿大)
- fr_FR: 法语(法国)
- de_DE: 德语(德国)
- hi_IN: 印地语(印度)
- it_IT: 意大利语(意大利)
- pt_BR: 葡萄牙语(巴西)
- es_ES: 西班牙语(西班牙)
- es_US: 西班牙语(美国)
- es_MX: 西班牙语(墨西哥)

代码示例

bash
curl -X GET "https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1?token=YOUR_API_KEY&id=VALUE"
text
我想使用 Just One API 提供的“'你知道吗' 洞察 (V1)”接口。
接口地址: https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1
HTTP 方法: GET
身份验证: 在 URL 后添加查询参数“?token=您的API密钥”。
OpenAPI 定义: https://docs.justoneapi.com/openapi/imdb/did-you-know-insights-v1-zh.json

请求参数说明:
- token (query): 用户的鉴权令牌。 (必填)
- id (query): 该标题的唯一IMDb ID(例如:tt12037194)。 (必填)
- languageCountry (query): 语言与国家/地区偏好。

可用值:
- `en_US`: 英语(美国)
- `fr_CA`: 法语(加拿大)
- `fr_FR`: 法语(法国)
- `de_DE`: 德语(德国)
- `hi_IN`: 印地语(印度)
- `it_IT`: 意大利语(意大利)
- `pt_BR`: 葡萄牙语(巴西)
- `es_ES`: 西班牙语(西班牙)
- `es_US`: 西班牙语(美国)
- `es_MX`: 西班牙语(墨西哥)

返回格式: JSON

响应处理与错误码:
1. 需通过返回体中的 "code" 字段判断业务结果(code 为 0 表示成功)。
2. 超时建议:建议将请求超时时间设置为至少 60 秒。
3. 业务码说明:
   - 0: 成功
   - 100: Token 无效或已失效
   - 301: 采集失败,请重试
   - 302: 超出速率限制
   - 303: 超出每日配额
   - 400: 参数错误
   - 500: 内部服务器错误
   - 600: 权限不足
   - 601: 余额不足

请帮我用我擅长的编程语言写一个脚本来调用这个接口,并处理返回结果。
python
import requests

url = "https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1?token=YOUR_API_KEY&id=VALUE"
response = requests.get(url)
print(response.json())
js
const response = await fetch("https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1?token=YOUR_API_KEY&id=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1?token=YOUR_API_KEY&id=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1?token=YOUR_API_KEY&id=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/imdb/title-did-you-know-query/v1?token=YOUR_API_KEY&id=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

响应结果

json
{
  "code": 0,
  "data": {
    "title": {
      "__typename": "Title",
      "titleText": {
        "text": "Furiosa: A Mad Max Saga",
        "isOriginalTitle": true
      },
      "originalTitleText": {
        "text": "Furiosa: A Mad Max Saga",
        "isOriginalTitle": true
      },
      "trivia": {
        "edges": [
          {
            "node": {
              "__typename": "TitleTrivia",
              "id": "tr7375706",
              "isSpoiler": false,
              "interestScore": {
                "__typename": "InterestScore",
                "usersInterested": 1230,
                "usersVoted": 1239
              },
              "text": {
                "plainText": "George Miller said this film's script was already complete before Mad Max: Fury Road (2015) was filmed: \"In order to tell that story cohesively, we had to know everything that happened in the time before, so we wrote a story about Furiosa from the time she was taken as a child, as she refers to in Fury Road, until she became the Imperator Furiosa. That ended up as a full screenplay, with concept art and so on. And the actors, the designers, and all the crew got the screenplay of that before shooting Fury Road.\""
              },
              "category": {
                "id": "uncategorized"
              },
              "relatedNames": null,
              "trademark": null
            }
          }
        ]
      },
      "quotes": {
        "edges": [
          {
            "node": {
              "__typename": "TitleQuote",
              "id": "qt7429439",
              "isSpoiler": false,
              "interestScore": {
                "__typename": "InterestScore",
                "usersInterested": 86,
                "usersVoted": 88
              },
              "lines": [
                {
                  "characters": [
                    {
                      "character": "Dementus",
                      "name": {
                        "id": "nm1165110"
                      }
                    }
                  ],
                  "text": "You fabulous thing. You crawled out of a pitiless grave, deeper than hell. Only one thing that is going to do that for you. Not hope. Hate. No shame in hate. It's one of the greatest forces of nature.",
                  "stageDirection": null
                }
              ]
            }
          }
        ]
      },
      "goofs": {
        "edges": [
          {
            "node": {
              "__typename": "Goof",
              "id": "gf7568572",
              "isSpoiler": false,
              "interestScore": {
                "__typename": "InterestScore",
                "usersInterested": 82,
                "usersVoted": 94
              },
              "text": {
                "plainText": "Shooting a gas can with a bullet will not make it blow up, this is one of the most common Hollywood firearms mistakes. In order for the gas to ignite a spark would need to be made, nearly all bullets have a copper jacket and a lead core, neither of which makes a spark when hitting metal."
              },
              "category": {
                "id": "factual_error",
                "text": "Factual errors"
              }
            }
          }
        ]
      },
      "crazyCredits": {
        "edges": [
          {
            "node": {
              "__typename": "CrazyCredit",
              "id": "cz0157303",
              "interestScore": {
                "__typename": "InterestScore",
                "usersInterested": 63,
                "usersVoted": 63
              },
              "text": {
                "plainText": "There is a brief shot of Nux's (from Mad Max: Fury Road (2015)) crow-shaped bobble head from his car wobbling after the credits end."
              }
            }
          }
        ]
      },
      "soundtrack": {
        "edges": [
          {
            "node": {
              "__typename": "Track",
              "id": "sn2848601",
              "text": "Anderlecht Champion AKA Ole Ole We Are the Champions",
              "comments": [
                {
                  "plainText": "Written by Roland Verlooven and Jeanine Dee"
                }
              ]
            }
          }
        ]
      },
      "triviaCount": {
        "total": 155
      },
      "quotesCount": {
        "total": 40
      },
      "goofsCount": {
        "total": 12
      }
    }
  }
}

💡 提示:为简化展示,列表类数据样例仅保留 1-2 条记录,实际返回条数以接口响应为准。